﻿/*非表示*/
.d-none {
    display: none !important;
}

/*透明*/
.v-none {
    visibility: hidden;
}

/*グレー塗りつぶし*/
.fillGray {
    fill: #D6D6D6;
}

/*svg 線を細く*/
.StrokeThin {
    stroke-width: 0.1px;
}

.pointerEvtNone {
    pointer-events: none;
}

/*chromeでヒットテストに時間が掛かる問題の解決用*/
#scene {
    pointer-events: none;
}

/*ポジション左下*/
.leftDownPos {
    position: absolute;
    bottom: 3vh;
    left: 3vw;
}

/*ポジション左上*/
.leftUpPos {
    position: absolute;
    top: 3vh;
    left: 3vw;
}

/*ポジション右上*/
.rightUpPos {
    position: absolute;
    top: 3vh;
    right: 3vw;
}

/*ポジション右下*/
.rightDownPos {
    position: absolute;
    bottom: 3vh;
    right: 3vw;
}

/*ボタンアニメ用*/
.btnAnime {
    cursor: pointer;
    filter: drop-shadow(4px 4px 0px #000);
    transition: 0.2s all;
    transform:translateZ(0);/*iosだと影が欠ける対策*/
}

    .btnAnime:hover, .selected {
        filter: drop-shadow(0px 0px 0px #000);
        transform: translate(4px,4px);
    }

/*ロード中*/
#divLoadingImg {
    width: 100%;
    height: 100%;
    z-index: 9998;
    position: fixed;
    top: 0px;
    left: 0px;
    background-color: #e9f6fc;
}

    #divLoadingImg > img {
        vertical-align: middle;
        max-height: 100%;
        position: fixed;
        top: 50%;
        left: 50%;
        transform: translate(-50%,-50%);
        z-index: 9999;
    }
